# Generated from inspec-bin-4.41.20.gem by gem2rpm -*- rpm-spec -*-
%global gem_name inspec-bin

Name: rubygem-%{gem_name}
Version: 4.41.20
Release: 1%{?dist}
Summary: Infrastructure and compliance testing
License: Apache-2.0
URL: https://github.com/inspec/inspec/tree/master/inspec-bin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.4
BuildArch: noarch

%description
InSpec executable for inspec gem. Use of this executable may require accepting
a license agreement.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/inspec
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/inspec-bin.gemspec
%{gem_instdir}/inspec-core-bin.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 4.41.20-1
- Initial package
